// -*- C++ -*-
//
// generated by wxGlade b221e052e911 on Sun Aug 31 23:35:48 2014
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#include "DFArcFrame_Base.h"

// begin wxGlade: ::extracode
// end wxGlade



DFArcFrame_Base::DFArcFrame_Base(wxWindow* parent, int id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxFrame(parent, id, title, pos, size, wxDEFAULT_FRAME_STYLE)
{
    // begin wxGlade: DFArcFrame_Base::DFArcFrame_Base
    mSplitter = new wxSplitterWindow(this, wxID_ANY, wxDefaultPosition, wxDefaultSize, wxSP_LIVE_UPDATE|wxCLIP_CHILDREN);
    panel_1 = new wxPanel(mSplitter, wxID_ANY);
    lMenuBar = new wxMenuBar();
    wxMenu* lFileMenu = new wxMenu();
    lFileMenu->Append(ID_FileInstall, _("&Open D-Mod to Install"), _("Select a D-Mod to install"), wxITEM_NORMAL);
    lFileMenu->Append(ID_Download, _("&Download D-Mods"), _("Go to The Dink Network to download some D-Mods!"), wxITEM_NORMAL);
    lFileMenu->AppendSeparator();
    lFileMenu->Append(wxID_EXIT, _("E&xit"), _("Exit DFArc"), wxITEM_NORMAL);
    lMenuBar->Append(lFileMenu, _("&File"));
    wxMenu* lEditMenu = new wxMenu();
    lEditMenu->Append(ID_Refresh, _("&Refresh D-Mod List"), _("Refreshes the D-Mod list for any new additions"), wxITEM_NORMAL);
    lEditMenu->Append(ID_Browse, _("&Browse Selected D-Mod Directory"), _("Browse to the directory containing the current D-Mod"), wxITEM_NORMAL);
    lEditMenu->Append(ID_Uninstall, _("&Uninstall Selected D-Mod"), _("Uninstalls the selected D-Mod"), wxITEM_NORMAL);
    lEditMenu->AppendSeparator();
    lEditMenu->Append(ID_Options, _("&Options"), _("View or modify DFArc options"), wxITEM_NORMAL);
    lMenuBar->Append(lEditMenu, _("&Edit"));
    wxMenu* lHelpMenu = new wxMenu();
    lHelpMenu->Append(ID_IntroductionText, _("&Introduction"), _("A quick introduction to Dinking and D-Mods"), wxITEM_NORMAL);
    lHelpMenu->Append(ID_Walkthroughs, _("&Walkthroughs and Guides"), _("Stuck in a D-Mod? Check out The Dink Smallwood Solutions."), wxITEM_NORMAL);
    lHelpMenu->Append(ID_Forums, _("&Forums"), _("Ask a question on the forums, or see if someone had the same problem."), wxITEM_NORMAL);
    lHelpMenu->AppendSeparator();
    lHelpMenu->Append(wxID_ABOUT, _("&About"), _("About DFArc"), wxITEM_NORMAL);
    lMenuBar->Append(lHelpMenu, _("&Help"));
    SetMenuBar(lMenuBar);
    mStatusBar = CreateStatusBar(1, wxST_SIZEGRIP);
    const wxString *mDModListBox_choices = NULL;
    mDModListBox = new wxListBox(panel_1, ID_DmodTitleList, wxDefaultPosition, wxDefaultSize, 0, mDModListBox_choices, wxLB_SINGLE|wxLB_NEEDED_SB|wxLB_SORT);
    mPlayButton = new wxButton(panel_1, ID_Play, _("Play"));
    mTrueColor = new wxCheckBox(panel_1, ID_Truecolor, _("True Color"));
    mWindowed = new wxCheckBox(panel_1, ID_Windowed, _("Windowed"));
    mSound = new wxCheckBox(panel_1, ID_Sound, _("Sound"));
    mJoystick = new wxCheckBox(panel_1, ID_Joystick, _("Joystick"));
    mDebug = new wxCheckBox(panel_1, ID_Debug, _("Debug"));
    mV107 = new wxCheckBox(panel_1, ID_V107, _("v1.07 mode"));
    mEditButton = new wxButton(panel_1, ID_Edit, _("Edit"));
    mPackageButton = new wxButton(panel_1, ID_Package, _("Package"));
    mAnimationPanel = new wxPanel(panel_1, wxID_ANY);
    const wxString *mGameLocaleList_choices = NULL;
    mGameLocaleList = new wxChoice(panel_1, wxID_ANY, wxDefaultPosition, wxDefaultSize, 0, mGameLocaleList_choices, 0);
    mDmodDescription = new wxTextCtrl(mSplitter, wxID_ANY, wxEmptyString, wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE|wxTE_READONLY);

    set_properties();
    do_layout();
    // end wxGlade
}


void DFArcFrame_Base::set_properties()
{
    // begin wxGlade: DFArcFrame_Base::set_properties
    SetTitle(_("DFArc v3"));
    int mStatusBar_widths[] = { -1 };
    mStatusBar->SetStatusWidths(1, mStatusBar_widths);
    const wxString mStatusBar_fields[] = {
        wxEmptyString
    };
    for(int i = 0; i < mStatusBar->GetFieldsCount(); ++i) {
        mStatusBar->SetStatusText(mStatusBar_fields[i], i);
    }
    mPlayButton->SetDefault();
    mV107->SetToolTip(_("v1.07 compatibility mode, for D-Mods released before 2006"));
    mAnimationPanel->SetMinSize(wxSize(160, 120));
    mGameLocaleList->Enable(0);
    // end wxGlade
}


void DFArcFrame_Base::do_layout()
{
    // begin wxGlade: DFArcFrame_Base::do_layout
    wxBoxSizer* root_sizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* lTopSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* mImageSizer = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* mButtonSizer = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* lPlaySizer = new wxBoxSizer(wxVERTICAL);
    lTopSizer->Add(mDModListBox, 1, wxLEFT|wxEXPAND, 0);
    lPlaySizer->Add(mPlayButton, 0, wxBOTTOM, 10);
    lPlaySizer->Add(mTrueColor, 0, wxBOTTOM, 7);
    lPlaySizer->Add(mWindowed, 0, wxBOTTOM, 7);
    lPlaySizer->Add(mSound, 0, wxBOTTOM, 7);
    lPlaySizer->Add(mJoystick, 0, wxBOTTOM, 7);
    lPlaySizer->Add(mDebug, 0, wxBOTTOM, 7);
    lPlaySizer->Add(mV107, 0, wxBOTTOM, 7);
    lTopSizer->Add(lPlaySizer, 0, wxLEFT|wxEXPAND, 10);
    mButtonSizer->Add(mEditButton, 0, wxLEFT, 10);
    mButtonSizer->Add(mPackageButton, 0, wxLEFT, 10);
    mImageSizer->Add(mButtonSizer, 0, wxBOTTOM|wxEXPAND, 10);
    mImageSizer->Add(mAnimationPanel, 0, wxLEFT|wxALIGN_BOTTOM|wxALIGN_CENTER_HORIZONTAL, 10);
    mImageSizer->Add(mGameLocaleList, 0, wxTOP|wxEXPAND, 10);
    lTopSizer->Add(mImageSizer, 0, wxLEFT|wxEXPAND, 10);
    panel_1->SetSizer(lTopSizer);
    mSplitter->SplitHorizontally(panel_1, mDmodDescription);
    root_sizer->Add(mSplitter, 1, wxEXPAND, 0);
    SetSizer(root_sizer);
    root_sizer->Fit(this);
    Layout();
    // end wxGlade
}

